Skip to main content

Describe the cluster link

GET 

/kafka/v3/clusters/:cluster_id/links/:link_name

Generally Available

link_id in ListLinksResponseData is deprecated and may be removed in a future release. Use the new cluster_link_id instead.

Request

Responses

Single link name and properties

OpenAPI definition (YAML)
paths:
  /kafka/v3/clusters/{cluster_id}/links/{link_name}:
    get:
      operationId: getKafkaLink
      description: '[![Generally Available](https://img.shields.io/badge/Lifecycle%20Stage-Generally%20Available-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)


        ``link_id`` in ``ListLinksResponseData`` is deprecated and may be removed in a future release.
        Use the new ``cluster_link_id`` instead.'
      tags:
      - Cluster Linking (v3)
      parameters:
      - name: include_tasks
        description: 'Whether to include cluster linking tasks in the response. Default: false'
        in: query
        required: false
        schema:
          type: boolean
        example: false
      - name: cluster_id
        description: The Kafka cluster ID.
        in: path
        required: true
        schema:
          type: string
        example: cluster-1
      - name: link_name
        description: The link name
        in: path
        required: true
        schema:
          type: string
        example: link-sb1
      security:
      - resource-api-key: []
      - external-access-token: []
      responses:
        '200':
          description: Single link name and properties
          content:
            application/json:
              schema:
                allOf:
                - type: object
                  required:
                  - kind
                  - metadata
                  properties:
                    kind:
                      type: string
                    metadata:
                      type: object
                      required:
                      - self
                      properties:
                        self:
                          type: string
                        resource_name:
                          type: string
                          nullable: true
                      title: ResourceMetadata
                  title: Resource
                - type: object
                  required:
                  - link_name
                  - cluster_link_id
                  - topic_names
                  properties:
                    source_cluster_id:
                      type: string
                      nullable: true
                    destination_cluster_id:
                      type: string
                      nullable: true
                    remote_cluster_id:
                      type: string
                      nullable: true
                    link_name:
                      type: string
                    link_id:
                      type: string
                      deprecated: true
                    cluster_link_id:
                      type: string
                    topic_names:
                      type: array
                      items:
                        type: string
                    link_error:
                      nullable: true
                      type: string
                      enum:
                      - UNKNOWN
                      - NO_ERROR
                      - AUTHENTICATION_ERROR
                      - UNRESOLVABLE_BOOTSTRAP_ERROR
                      - INVALID_BOOTSTRAP_INTERNAL_ENDPOINT_ERROR
                      - BOOTSTRAP_TCP_CONNECTION_FAILED_ERROR
                      - TIMEOUT_ERROR
                      title: LinkError
                    link_error_message:
                      type: string
                      nullable: true
                    link_state:
                      nullable: true
                      type: string
                      enum:
                      - ACTIVE
                      - FAILED
                      - UNAVAILABLE
                      - PAUSED
                      - UNKNOWN
                      title: LinkState
                    tasks:
                      nullable: true
                      type: array
                      items:
                        type: object
                        required:
                        - task_name
                        - state
                        - errors
                        properties:
                          task_name:
                            type: string
                          state:
                            type: string
                            enum:
                            - UNKNOWN
                            - ACTIVE
                            - IN_ERROR
                            - NOT_CONFIGURED
                            - LINK_FAILED
                            - LINK_UNAVAILABLE
                            - LINK_PAUSED
                            title: LinkTaskState
                          errors:
                            type: array
                            items:
                              type: object
                              required:
                              - error_code
                              - error_message
                              properties:
                                error_code:
                                  type: string
                                error_message:
                                  type: string
                              title: LinkTaskError
                        title: LinkTask
                    category_counts:
                      nullable: true
                      type: array
                      items:
                        type: object
                        required:
                        - state_category
                        - count
                        properties:
                          state_category:
                            type: string
                            enum:
                            - PAUSED
                            - IN_ERROR
                            - PENDING
                            - ACTIVE
                            - NOT_APPLICABLE
                            title: StateCategory
                          count:
                            type: integer
                            format: int32
                            example: 123
                        title: LinkCategory
                title: ListLinksResponseData
              examples:
                link_at_destination_cluster:
                  description: Link at destination cluster
                  value:
                    kind: KafkaLinkData
                    metadata:
                      self: https://pkc-00000.region.provider.confluent.cloud/kafka/v3/clusters/Fds7TcT9TTqEXsoRLEKMcQ/links/my-new-link-1
                    resource_name: null
                    source_cluster_id: src-cluster-id
                    link_name: my-new-link-1
                    link_id: 7840644d-f7d8-4844-a577-a10ef3df31df
                    cluster_link_id: eEBkTffYSESld6EO898x3w
                    topic_names:
                    - topic-db-1
                    - topic-db-2
                link_at_source_cluster:
                  description: Link at source cluster
                  value:
                    kind: KafkaLinkData
                    metadata:
                      self: https://pkc-00000.region.provider.confluent.cloud/kafka/v3/clusters/Fds7TcT9TTqEXsoRLEKMcQ/links/my-new-link-1
                    resource_name: null
                    destination_cluster_id: dst-cluster-id
                    link_name: my-new-link-1
                    link_id: 7840644d-f7d8-4844-a577-a10ef3df31df
                    cluster_link_id: eEBkTffYSESld6EO898x3w
                    topic_names: []
        '400':
          description: Indicates a bad request error. It could be caused by an unexpected request body
            format or other forms of request validation failure.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                bad_request_cannot_deserialize:
                  description: Thrown when trying to deserialize an integer from non-integer data.
                  value:
                    error_code: 400
                    message: 'Cannot deserialize value of type `java.lang.Integer` from String "A": not
                      a valid `java.lang.Integer` value'
                unsupported_version_exception:
                  description: Thrown when the version of this API is not supported in the underlying
                    Kafka cluster.
                  value:
                    error_code: 40035
                    message: The version of this API is not supported in the underlying Kafka cluster.
        '401':
          description: Indicates a client authentication error. Kafka authentication failures will contain
            error code 40101 in the response body.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                kafka_authentication_failed:
                  description: Thrown when using Basic authentication with wrong Kafka credentials.
                  value:
                    error_code: 40101
                    message: Authentication failed
        '429':
          description: Indicates that a rate limit threshold has been reached, and the client should retry
            again later.
          content:
            text/html:
              schema:
                type: string
              example:
                description: A sample response from Jetty's DoSFilter.
                value: <html> <head> <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
                  <title>Error 429 Too Many Requests</title> </head> <body> <h2>HTTP ERROR 429 Too Many
                  Requests</h2> <table> <tr> <th>URI:</th> <td>/v3/clusters/my-cluster</td> </tr> <tr>
                  <th>STATUS:</th> <td>429</td> </tr> <tr> <th>MESSAGE:</th> <td>Too Many Requests</td>
                  </tr> <tr> <th>SERVLET:</th> <td>default</td> </tr> </table> </body> </html>
        5XX:
          description: A server-side problem that might not be addressable from the client side. Retriable
            Kafka errors will contain error code 50003 in the response body.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                generic_internal_server_error:
                  description: Thrown for generic HTTP 500 errors.
                  value:
                    error_code: 500
                    message: Internal Server Error
      servers:
      - url: https://pkc-00000.region.provider.confluent.cloud
        x-audience: business-unit-internal
        description: Confluent Cloud REST Endpoint. For example https://pkc-00000.region.provider.confluent.cloud